OI Payments Docs
API ReferenceAdmin Reports

Customers

GET
/api/v1/admin/reports/customers

Authorization

AdminSession
AuthorizationBearer <token>

Admin session token returned by POST /auth/login, sent as 'Authorization: Bearer '.

In: header

Query Parameters

from?string
to?string
limit?integer

Response Body

*/*

curl -X GET "https://example.com/api/v1/admin/reports/customers"
{
  "data": {
    "topCustomers": [
      {
        "customerRefId": 0,
        "externalCustomerId": "string",
        "applicationId": 0,
        "grossSucceededMinor": 0,
        "succeededCount": 0
      }
    ],
    "activeCustomers": 0,
    "newCustomers": 0,
    "returningCustomers": 0,
    "repeatPurchaseRate": 0.1,
    "customersWithFailures": 0
  },
  "meta": {
    "success": true,
    "message": "string",
    "errorCode": "RESOURCE_NOT_FOUND",
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "page": 0,
    "size": 0,
    "totalElements": 0,
    "totalPages": 0
  }
}